"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var abstract_manager_android_1 = require("../../abstract-manager.android");
var ActivityUpdateReceiver = es.uji.geotec.contextapis.activityrecognition.ActivityUpdateReceiver;
var ActivityRecognition = com.google.android.gms.location.ActivityRecognition;
var AndroidMediumResRecognizerManager = (function (_super) {
    __extends(AndroidMediumResRecognizerManager, _super);
    function AndroidMediumResRecognizerManager() {
        return _super.call(this, ActivityUpdateReceiver.class) || this;
    }
    AndroidMediumResRecognizerManager.prototype.handleStart = function (context, intent, options) {
        return ActivityRecognition.getClient(context).requestActivityUpdates(options.detectionInterval ? options.detectionInterval : 0, intent);
    };
    AndroidMediumResRecognizerManager.prototype.handleStop = function (context, intent) {
        return ActivityRecognition.getClient(context).removeActivityUpdates(intent);
    };
    return AndroidMediumResRecognizerManager;
}(abstract_manager_android_1.AndroidAbstractRecognizerManager));
exports.AndroidMediumResRecognizerManager = AndroidMediumResRecognizerManager;
//# sourceMappingURL=manager.android.js.map